Dieses Add-On bietet die Möglichkeit Produktpreise, zugehörige Bilder und Links zu Artikeln zu verwalten. Zur Ausgabe verwendet man dann ein Modul oder ein Template. 
Eine beispielhafte Anwednung wäre zum Beispiel Eine Liste mit allen Daten auszugeben (und vielleicht zu einem pdf umzuwandeln) oder Teaser mit Produktpreisen auszugeben.<br/>
<br/>
Beispiel für Modul-Ausgabe einer Liste:<br/>
<pre>
&lt;?php
$out    = '';
$sql    = new rex_sql();
$sql2   = new rex_sql();
$prefix = $REX['TABLE_PREFIX'];

// Kategorien auslesen, um die Liste gruppieren zu können
$query  = "
		SELECT id, sort, name
		FROM " . $prefix . "products_prices_list_categories 
		ORDER BY sort ASC, name ";
$sql2-&gt;setQuery($query);

// Produktkategorien
for ($k = 0; $k &lt; $sql2-&gt;getRows(); $k++)
{
	$cat_name = $sql2-&gt;getValue('name');
	$cat_id   = $sql2-&gt;getValue('id');

	$query  = "
			SELECT image, article_id, name, description, price
			FROM " . $prefix . "products_prices_list
			WHERE category_id = '$cat_id' 
			ORDER BY sort ASC, name ";
	$sql-&gt;setQuery($query);
	
	$out.= "&lt;h2&gt;$cat_name&lt;/h2&gt;\n\n";
	
	$prod_rows = $sql-&gt;getRows();
	
	if($prod_rows &gt; 0)
	{
		$out.= "&lt;table&gt;\n";
		$out.= "\t&lt;tr&gt;&lt;th&gt;Name&lt;/th&gt;&lt;th&gt;Beschreibung&lt;/th&gt;&lt;th&gt;Preis&lt;/th&gt;&lt;/tr&gt;\n";
		
		// Produkte in Kategorie
		for ($i = 0; $i &lt; $prod_rows; $i++)
		{
			$image  = $sql-&gt;getValue('image');
			$art_id = $sql-&gt;getValue('article_id');
			$name   = $sql-&gt;getValue('name');
			$desc   = $sql-&gt;getValue('description');
			$price  = floatval($sql-&gt;getValue('price'));
					
			// Preis formatieren
			$price = number_format($price,2,',','.');
			$price = $price . " &euro;";
			
			$out.= "\t&lt;tr&gt;&lt;td&gt;$name&lt;/td&gt;&lt;td&gt;$desc&lt;/td&gt;&lt;td&gt;$price&lt;/td&gt;&lt;/tr&gt;\n";
			
			$sql-&gt;next();
		}

		$out.= "&lt;/table&gt;\n";
	}
	
	$sql2-&gt;next();
}

$out.= "\n";

echo $out;
?&gt;
</pre>
<br/>
Dann gibt es noch ein Beispiel für die Eingabe und Ausgabe eines Moduls um Teaser mit Preisen anzuzeigen:<br/>
<br/>
Eingabe:<br/>
<pre>
&lt;?php 
	// Konfiguration
	define('MAX_PRODUCTS', 6);
?&gt;
&lt;h2&gt;Bitte wählen Sie die anzuzeigenden Produkte aus&lt;/h2&gt;

Sie können maximal &lt;?php echo MAX_PRODUCTS; ?&gt; Produkte auswählen.&lt;br/&gt;
&lt;br/&gt;

&lt;?php
	// Redaxo kann nur 20 VALUES verwalten *sigh*, deswegen schreiben wir die IDs in ein Textfeld, geht außerdem schneller

	$out    = '&lt;tr&gt;&lt;th&gt;Name&lt;/th&gt;&lt;th&gt;Preis&lt;/th&gt;&lt;th&gt;Auswahl&lt;/th&gt;&lt;/tr&gt;';
	$sql    = new rex_sql();
	$prefix = $REX['TABLE_PREFIX'];
	$query  = "
		SELECT id, name, price
		FROM " . $prefix . "products_prices_list 
		ORDER BY name ";
	$sql-&gt;setQuery($query);
	
	for ($i=1; $i&lt;=$sql-&gt;getRows(); $i++)
	{
		$id     = $sql-&gt;getValue('id');
		$name   = $sql-&gt;getValue('name');
		$price  = floatval($sql-&gt;getValue('price'));
		
		// Preis formatieren
		$price = number_format($price,2,',','.');
		$price = $price . " &euro;";			
				
		$checked = '';
		if ("REX_VALUE[$i]" == $id) $checked = 'checked="checked"';
		$input = '&lt;input id="val' . $i . '" name="val[]" type="checkbox" value="' . $id . '" onclick="" /&gt;';
		
		$out.= '&lt;tr&gt;&lt;td&gt;' . $name . '&lt;/td&gt;&lt;td&gt;' . $price . '&lt;/td&gt;&lt;td&gt;' . $input . '&lt;/td&gt;&lt;/tr&gt;';

		$sql-&gt;next();
	}
?&gt;

&lt;table style="width:100%; border:0;" id="products_list_backend" class="footer"&gt;&lt;?php echo $out; ?&gt;&lt;/table&gt;
&lt;br/&gt;
Das folgende Textfeld enthält alle gespeicherten Produkt IDs in einer komma-separierten Liste. Diese wird nach Auswahl der Checkboxen beim Speichern automatisch gefüllt. 
Sollten Sie ihr JavaScript abgeschaltet haben oder JavaScript durch einen Fehler nicht benutzen können, so kann diese Liste auch manuell gefüllt werden. 
Beispiel für den Inhalt: "1,2,5,8"&lt;br/&gt;
&lt;br/&gt;
&lt;input type="text" value="REX_VALUE[1]" name="VALUE[1]" id="val_list" /&gt;

&lt;script&gt;
&lt;!--
	jQuery("form").submit(function ()
	{
		var input = jQuery("form input:checked");
		console.debug('Length: ' + input.length);
		if(input.length &gt; 0)
		{
			jQuery('#val_list').val('');
			var count = 0;
			input.each(function()
			{
				count++;
				console.debug('Value: ' + jQuery(this).val());
				var input_val = jQuery('#val_list').val();
				var this_val  = jQuery(this).val();
				if(input_val == '')
				{
					input_val = this_val;
				}
				else
				{
					if(count &lt;= &lt;?php echo MAX_PRODUCTS; ?&gt;) {
						input_val = input_val + ',' + this_val;
					}
				}
				jQuery('#val_list').val(input_val);
			});
		}

		// Submit geht jetzt automatisch, wir liefern ja kein 'false' zurück
	});
//--&gt;
&lt;/script&gt;
</pre>
<br/>
Ausgabe:<br/>
<pre>
&lt;?php
	$id_list = "REX_VALUE[1]";
	$id_array = explode(',',$id_list);
	$where = "";
	$count = count($id_array);
	
	if($count)
	{
		$where = "WHERE ";
		$i = 0;
		foreach ($id_array as $val)
		{
			$i++;
			$where.= "id = '$val' ";
			if($count &gt; $i) $where.= "OR ";
		}
	}
	
	$out    = '';
	$sql    = new rex_sql();
	$prefix = $REX['TABLE_PREFIX'];
	$query  = "
		SELECT image, article_id, name, description, price
		FROM " . $prefix . "products_prices_list  
		$where 
		ORDER BY sort ASC, name ";
	$sql-&gt;setQuery($query);
	
	$rows = $sql-&gt;getRows();
	
	if($rows &gt; 0)
	{
		$out.= '&lt;ul class="product-gallery"&gt;' . "\n";
		
		for ($i=1; $i&lt;=$rows; $i++)
		{
			$image  = $sql-&gt;getValue('image');
			$art_id = $sql-&gt;getValue('article_id');
			$name   = $sql-&gt;getValue('name');
			$desc   = $sql-&gt;getValue('description');
			$price  = floatval($sql-&gt;getValue('price'));
			
			if($art_id)
			{
				$article = OOArticle::getArticleById($art_id);
				$url     = $article-&gt;getUrl();
			}
			else $url = "";
			
			// Preis formatieren
			$price = number_format($price,2,',','.');
			$price = $price . " &euro;";		

			// URL des Bildes
			$image = $image;
			
			$li = '&lt;li&gt;';
			
			// Jedes dritte Listenelement
			if(($i % 3) == 0)
			{
				$li = '&lt;li style="margin-right:0px;"&gt;';
			}
			
			$out.= "\t" . $li . "\n";
			$out.= "\t\t" . '&lt;img class="product-gallery" width="190" height="140" alt="" src="' . $REX["HTDOCS_PATH"] . 'files/' . $image . '" /&gt;' . "\n";
			$out.= "\t\t" . '&lt;div class="name"&gt;' . $name . '&lt;/div&gt;' . "\n";
			$out.= "\t\t" . '&lt;div class="liste-preis"&gt;' . $price . '&lt;/div&gt;' . "\n";
			$out.= "\t\t" . '&lt;div class="footnote"&gt;' . $desc . '&lt;/div&gt;' . "\n";
			$out.= "\t\t" . '&lt;a class="button-rot" style="font-size:12px; margin:10px 0;" href="' . $url . '"&gt;mehr erfahren&lt;/a&gt;' . "\n";
			$out.= "\t" . '&lt;/li&gt;' . "\n";
				
			$sql-&gt;next();
		}

		$out.= '&lt;/ul&gt;' . "\n\n";
		$out.= '&lt;div class="clearer"&gt;&lt;/div&gt;' . "\n\n";
	}
	
	echo $out;
?&gt;
</pre>
<br/>