<?php
$debug = false;

if ($func == '')
{
	$rowsPerPage = 20;
	$listName    = null;
	
	$query = '
		SELECT pl.id, pc.name AS cat_name, pl.sort, pl.name, pl.image, pl.article_id, pl.description, pl.price
		FROM '.$REX['TABLE_PREFIX'].'products_prices_list AS pl
		JOIN '.$REX['TABLE_PREFIX'].'products_prices_list_categories AS pc
		ON pl.category_id = pc.id';
	
	// Standard-Sortierung nur hinzufügen, wenn der Benutzer keine Sortierung gewählt hat
	$sort = rex_request("sort", "string", "");
	if ($sort == "")
	{
		$query.= " ORDER BY pc.name, sort ASC, pl.name";
	}
	
	$list = rex_list::factory($query, $rowsPerPage, $listName, $debug);
	
	$imgHeader = '<a href="'. $list->getUrl(array('func' => 'add')) .'"><img src="media/metainfo_plus.gif" alt="add" title="add" /></a>';
	
	$list->addColumn(
		$imgHeader, '<img src="media/metainfo.gif" alt="field" title="field" />', 0, array( '<th class="rex-icon">###VALUE###</th>', '<td class="rex-icon">###VALUE###</td>' )
	);
	
	//$list->setColumnLabel('id', 'ID');
	$list->setColumnLabel('pl.name', 'Name');
	$list->setColumnLabel('sort', 'Sortierung');
	$list->setColumnLabel('cat_name', 'Kategorie');
	$list->setColumnLabel('image', 'Bild');
	$list->setColumnLabel('article_id', 'Artikel');
	$list->setColumnLabel('description', 'Beschreibung');
	$list->setColumnLabel('price', 'Preis');
	
	$list->setColumnParams('pl.name',       array('func' => 'edit', 'id' => '###id###'));
	$list->setColumnParams('sort',          array('func' => 'edit', 'id' => '###id###'));
	$list->setColumnParams('cat_name',      array('func' => 'edit', 'id' => '###id###'));
	$list->setColumnParams('image',         array('func' => 'edit', 'id' => '###id###'));
	$list->setColumnParams('article_id',    array('func' => 'edit', 'id' => '###id###'));
	$list->setColumnParams('description',   array('func' => 'edit', 'id' => '###id###'));
	$list->setColumnParams('price',         array('func' => 'edit', 'id' => '###id###'));
	
	// Spalten sortierbar machen
	$list->setColumnSortable('cat_name');
	$list->setColumnSortable('sort');
	$list->setColumnSortable('pl.name');
	$list->setColumnSortable('price');
	
	// Muss nicht angezeigt werden
	$list->removeColumn('id');
	
	$list->show();
}
elseif ($func == 'edit' || $func == 'add')
{
	echo "Geben Sie den Preis bitte mit Punkt statt Komma an. Beispiel: 10500.99<br/><br/>";
	
	$id = rex_request('id','int');
	
	$form = rex_form::factory($REX['TABLE_PREFIX'].'products_prices_list', "Produktpreise", "id=".$id, 'post', $debug);
	$field = &$form->addTextField('name');
	$field->setLabel('Name');
	$field = &$form->addTextField('sort');
	$field->setLabel('Sortierung');
	
	// Selectfeld für Kategorien
	$field = &$form->addSelectField('category_id');
	$field->setLabel('Produktkategorie');
	$select = &$field->getSelect();
	$select->setSize(1);
	$query = 'SELECT name as label, id FROM '.$REX['TABLE_PREFIX'].'products_prices_list_categories';
	$select->addSqlOptions($query);
	
	$field = &$form->addMediaField('image');
	$field->setLabel('Produktbild');
	$field = &$form->addLinkmapField('article_id');
	$field->setLabel('Verlinkter Artikel');
	$field = &$form->addTextAreaField('description');
	$field->setLabel('Beschreibung');
	$field = &$form->addTextField('price');
	$field->setLabel('Preis');

	if($func == 'edit')
	{
		$form->addParam('id', $id);
	}
	
	$form->show();
}
?>